Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

List document contract templates for a account
GET https://services.leadconnectorhq.com/proposals/templates

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Query parameters

locationId
string
default:"jhg64gjhb436fv"
required
Account Id
dateFrom
string
default:"2025-02-03T18:30:00.000Z"
Date start from (ISO 8601)
dateTo
string
default:"2025-02-14T18:29:59.999Z"
Date to (ISO 8601)
type
string
default:"proposal,estimate"
Comma-separated template types. Valid values: proposal, estimate, contentLibrary
name
string
default:"Template Name"
Template Name
isPublicDocument
boolean
default:"False"
If the docForm is a DocForm
userId
string
default:"1234567890"
User Id, required when isPublicDocument is true
limit
string
default:"10"
Limit
skip
string
default:"0"
Skip

Respuestas

data
object[]
required
Array of templates
total
number
default:"2"
required
Total number of templates
traceId
string
default:"d5656876-86a5-46fb-84df-788f1da7937a"
Trace ID for request tracking
{
  "data": [
    {
      "_id": "685d11c371c22e636e9c04b2",
      "deleted": false,
      "version": 2,
      "name": "New Template",
      "locationId": "5rORm9p7RtxWQPzBIbTG",
      "type": "proposal",
      "updatedBy": "K9PSPnWjfNoE8DCf5LJZ",
      "isPublicDocument": true,
      "createdAt": "2025-06-26T09:24:19.305Z",
      "updatedAt": "2025-06-26T09:27:32.119Z",
      "id": "685d11c371c22e636e9c04b2",
      "documentCount": 0,
      "docFormUrl": "https://staging.sendlink.co/documents/doc-form/685d11c371c22e636e9c04b2?locale=en_US"
    }
  ],
  "total": 2,
  "traceId": "d5656876-86a5-46fb-84df-788f1da7937a"
}
statusCode
number
default:"400"
message
string
default:"Bad Request"
{
  "statusCode": 400,
  "message": "Bad Request"
}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/proposals/templates' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'